<?xml version="1.0" encoding="UTF-8"?>
<?ICEA pattern?>
<!-- Notices - Distribution Notice: 
           This document has been approved for Public Release and is available for use without restriction.
       -->
<sch:pattern xmlns:sch="http://purl.oclc.org/dsdl/schematron" id="DOMEX-ID-00002">
    <sch:p class="ruleText">
        [DOMEX-ID-00002][Error]
        If a TrustedDataObject element contains an assertion with a DOMEX structured statement, 
        it must also contain an assertion with a DDMS structured statement. 
        
        Human Readable: If a Trusted Data Object contains a DOMEX assertion, it must also contain a DDMS assertion.  
    </sch:p>
    
    <sch:p class="codeDesc">
        If a TDO has a DOMEX assertion, determined by checking if it has a tdf:StructuredStatement element with
        a child of domex:acquisition, verify that it also contains an DDMS assertion, verified by checking if
        it has a ddms:StructuredStatement element with a child of ddms:resource.
    </sch:p>
    
    <sch:rule context="tdf:TrustedDataObject//*[namespace-uri()='urn:us:mil:ces:metadata:domex']">
        <sch:assert test="//ddms:resource" flag="error">
            [DOMEX-ID-00002][Error]
            If tdf:TrustedDataObject contains an assertion with a DOMEX structured statement, 
            it must also contain an assertion with a DDMS structured statement. 
            
            Human Readable: If a Trusted Data Object contains a DOMEX assertion, it must also contain a DDMS assertion. 
        </sch:assert>        
     </sch:rule>
</sch:pattern>
