<?xml version="1.0" encoding="UTF-8"?>
<?ICEA pattern?>
<!-- Notices - Distribution Notice: 
           This document has been approved for Public Release and is available for use without restriction.
       -->
<sch:pattern xmlns:sch="http://purl.oclc.org/dsdl/schematron" id="DOMEX-ID-00004">
    <sch:p class="ruleText">
        [DOMEX-ID-00004][Error]
        If a TrustedDataObject element contains a DOMEX assertion, 
        it must also contain an assertion with an IRM structured statement. 
        
        Human Readable: If a Trusted Data Object contains a DOMEX assertion, it must also contain an IRM assertion.  
    </sch:p>
    
    <sch:p class="codeDesc">
        If a TDO has a DOMEX assertion, determined by checking if it has a tdf:StructuredStatement element with
        a child of domex:acquisition, verify that it also contains an IRM assertion, verified by checking if
        it has a tdf:Assertion/tdf:StructuredStatement element with a child of irm:ICResourceMetadataPackage.
    </sch:p>
    
    <sch:rule context="//tdf:TrustedDataObject[tdf:Assertion/tdf:StructuredStatement/domex:acquisition]">
        <sch:assert test="tdf:Assertion/tdf:StructuredStatement/irm:ICResourceMetadataPackage"
                  flag="error">
            [DOMEX-ID-00004][Error]
            If a TrustedDataObject element contains a DOMEX assertion, 
            it must also contain an assertion with an IRM structured statement. 
            
            Human Readable: If a Trusted Data Object contains a DOMEX assertion, it must also contain an IRM assertion.  
        </sch:assert>        
     </sch:rule>
</sch:pattern>
