<?xml version="1.0" encoding="UTF-8"?>
<sch:pattern xmlns:sch="http://purl.oclc.org/dsdl/schematron"
             id="IRM-ID-00033"
             is-a="ValidateValueExistenceInList">
	  <sch:p class="ruleText">
	  	[IRM-ID-00033][Error] If element ddms:mimeType is specified, it must have a value from CVEnumMIMEType.xml.
		
		Human Readable: Values for ddms:mimeType must be defined in the MimeType CVE.
	</sch:p>
	
	  <sch:p class="codeDesc">
		This rule uses an abstract pattern to consolidate logic. It checks that the
		value in parameter $searchTerm is contained in the parameter $list. The parameter
		$searchTerm is relative in scope to the parameter $context. The value for the parameter 
		$list is a variable defined in the main document (IRM_XML.sch), which reads 
		values from a specific CVE file.
	</sch:p>

	  <sch:param name="ruleText"
	  	value="'   [IRM-ID-00033][Error] If element ddms:mimeType is specified, it must have a value from CVEnumMIMEType.xml.   '"/>
	
	  <sch:param name="codeDesc"
              value="'   This rule uses an abstract pattern to consolidate logic. It checks that the   value in parameter $searchTerm is contained in the parameter $list. The parameter   $searchTerm is relative in scope to the parameter $context. The value for the parameter    $list is a variable defined in the main document (IRM_XML.sch), which reads    values from a specific CVE file.   '"/>
	
	  <sch:param name="context"
              value="tdf:*[tdf:Assertion//irm:ICResourceMetadataPackage]/tdf:Assertion/tdf:StructuredStatement/ddms:resource//ddms:mimeType"/>
	  <sch:param name="searchTerm" value="."/>
	  <sch:param name="list" value="$mimeTypeList"/>
	  <sch:param name="errMsg"
	  	value="'   [IRM-ID-00033][Error] If element ddms:mimeType is specified, it must have a value from CVEnumMIMEType.xml.   '"/>
</sch:pattern>
