<?xml version="1.0" encoding="UTF-8"?>
<?ICEA pattern?>
<!-- Notices - Distribution Notice: 
           This document has been approved for Public Release and is available for use without restriction.
       -->
<sch:pattern xmlns:sch="http://purl.oclc.org/dsdl/schematron" id="IRM-ID-00052">
    <sch:p class="ruleText">
        [IRM-ID-00052][Error] If element ddms:organization has attribute
        @ddms:acronym specified and the acronym does not contain a country component, then the 
        value must be defined by the USAgency CES. 
        
        Human Readable:
        Utilized agency acronyms with no country component must be defined in the USAgency CES.
    </sch:p>
    <sch:p class="codeDesc">
        For ddms:organization with @ddms:acronym specified, if @ddms:acronym has no country component,
        then the country value must be defined by the USAgency CES.
    </sch:p>
    <sch:rule context="tdf:*[tdf:Assertion//irm:ICResourceMetadataPackage]/tdf:Assertion/tdf:StructuredStatement/ddms:resource//ddms:organization[@ddms:acronym]">        
        <sch:assert test="if (count(tokenize(normalize-space(@ddms:acronym),':')) = 1) then 
            (some $token in $USAgencyAcronymList satisfies $token = normalize-space(@ddms:acronym))
            else 
            true() " 
            flag="error">
            [IRM-ID-00052][Error] If element ddms:organization has attribute
            @ddms:acronym specified and the acronym does not contain a country component, then the 
            value must be defined by the USAgency CES.  />
        </sch:assert>
    </sch:rule>
</sch:pattern>
