<?xml version="1.0" encoding="UTF-8"?>
<?ICEA pattern?>
<!-- Notices - Distribution Notice: 
           This document has been approved for Public Release and is available for use without restriction.
       -->
<sch:pattern xmlns:sch="http://purl.oclc.org/dsdl/schematron" id="IRM-ID-00072">
    <sch:p class="ruleText">
        [IRM-ID-00072][Error] 
        For element ddms:searchableDate, ddms:start must be earlier than ddms:end.
        
        Human Readable: Within the searchableDate element, the date within the start element must be earlier than the date within the end element.
    </sch:p>
    
    <sch:p class="codeDesc">
        For each element ddms:searchableDate, the child elements ddms:start and 
        ddms:end are cast as xs:dateTime types, then compared to ensure 
        start is less than end.
    </sch:p>
    
    <sch:rule context="tdf:*[tdf:Assertion//irm:ICResourceMetadataPackage]/tdf:Assertion/tdf:StructuredStatement/ddms:resource//ddms:searchableDate">
        <sch:assert test="if((ddms:start castable as xs:dateTime) and (ddms:end castable as xs:dateTime))             then xs:dateTime(ddms:start) &lt; xs:dateTime(ddms:end)             else false()"
                  flag="error">
            [IRM-ID-00072][Error]
            For element ddms:searchableDate, ddms:start must be earlier than ddms:end. 
            
            Human Readable: Within the searchableDate element, the date within the start element must be earlier than the date within the end element.
        </sch:assert>
    </sch:rule>
</sch:pattern>
