<?xml version="1.0" encoding="UTF-8"?>
<?ICEA pattern?>
<!-- Notices - Distribution Notice: 
           This document has been approved for Public Release and is available for use without restriction.
       -->
<sch:pattern xmlns:sch="http://purl.oclc.org/dsdl/schematron" id="IRM-ID-00074">
    <sch:p class="ruleText">
        [IRM-ID-00074][Error] 
        For element ddms:searchableDate, elements ddms:start and ddms:end must
        match the xsd:dateTime format.
        
        Human Readable: Within the searchableDate element, the start and end elements values must conform to the xsd:dateTime format.
    </sch:p>
    
    <sch:p class="codeDesc">
        For each element ddms:searchableDate, we make sure that elements 
        ddms:start and ddms:end are each castable as xs:dateTime type.
    </sch:p>
    
    <sch:rule context="tdf:*[tdf:Assertion//irm:ICResourceMetadataPackage]/tdf:Assertion/tdf:StructuredStatement/ddms:resource//ddms:searchableDate">
        <sch:assert test="(ddms:start castable as xs:dateTime) and (ddms:end castable as xs:dateTime)"
                  flag="error">
            [IRM-ID-00074][Error] 
            For element ddms:searchableDate, elements ddms:start and ddms:end must
            match the xsd:dateTime format. 
            
            Human Readable: Within the searchableDate element,
                            the start and end elements values must conform to the xsd:dateTime format.
        </sch:assert>
    </sch:rule>
</sch:pattern>
