<?xml version="1.0" encoding="UTF-8"?>
<?ICEA pattern?>
<!-- Notices - Distribution Notice: 
           This document has been approved for Public Release and is available for use without restriction.
       -->
<sch:pattern xmlns:sch="http://purl.oclc.org/dsdl/schematron" id="IRM-ID-00075">
    <sch:p class="ruleText">
        [IRM-ID-00075][Error] For element ddms:temporalCoverage, at least one of its child 
        elements, other than ddms:name, must be specified.
        
        Human Readable: Within the temporalCoverage element, at least one of its child elements must not be blank with the exception 
        of the name element.
    </sch:p>
    
    <sch:p class="codeDesc">
        This rule ensures that for each ddms:temporalCoverage element one or more 
        child elements contains non-whitespace content by making sure the string
        representation of ddms:temporalCoverage, which includes all children except
        ddms:name, contains non-whitespace content.
    </sch:p>
    
    <sch:rule context="tdf:*[tdf:Assertion//irm:ICResourceMetadataPackage]/tdf:Assertion/tdf:StructuredStatement//ddms:resource//ddms:temporalCoverage">
        <sch:assert 
            test="count(descendant::node()[not(self::ddms:name)][normalize-space(string-join(text(),''))]) > 0" 
            flag="error">
            [IRM-ID-00075][Error] For element ddms:temporalCoverage, at least one of its child 
            elements, other than ddms:name, must be specified.
            
            Human Readable: Within the temporalCoverage element,
            at least one of it's child elements must not be blank
            with the exception of the name element.
        </sch:assert>
    </sch:rule>
</sch:pattern>
