<?xml version="1.0" encoding="UTF-8"?>
<?ICEA pattern?>
<!-- Notices - Distribution Notice: 
           This document has been approved for Public Release and is available for use without restriction.
       -->
<sch:pattern xmlns:sch="http://purl.oclc.org/dsdl/schematron" id="IRM-ID-00082">
    <sch:p class="ruleText">
        [IRM-ID-00082][Error] Use of ddms:revisionRecall is forbidden in IRM and a RevRecall assertion should
        be used instead.
        
        Human Readable: Use of the revisionRecall element in DDMS is forbidden with the use of IRM and a Revision/Recall
        assertion should be used instead.
    </sch:p>
    
    <sch:p class="codeDesc">
        If there is an IRM assertion, and a peer DDMS assertion has a ddms:revisionRecall element then trigger
        the error.
    </sch:p>

    <!-- Abstract rule, which asserts that at least one of the listed child elements has non-whitespace content -->
    <sch:rule context="tdf:*[tdf:Assertion//irm:ICResourceMetadataPackage]/tdf:Assertion/tdf:StructuredStatement/ddms:resource//ddms:revisionRecall">
        <sch:assert test="false()" flag="error">
            [IRM-ID-00082][Error] Use of ddms:revisionRecall is forbidden in IRM and a RevRecall assertion should
            be used instead.
            
            Human Readable: Use of the revisionRecall element in DDMS is forbidden with the use of IRM and a Revision/Recall
            assertion should be used instead.
        </sch:assert>
    </sch:rule>
</sch:pattern>
