<?xml version="1.0" encoding="UTF-8"?>
<?ICEA pattern?>
<!-- Notices - Distribution Notice: 
           This document has been approved for Public Release and is available for use without restriction.
       -->
<sch:pattern xmlns:sch="http://purl.oclc.org/dsdl/schematron" id="IRM-ID-00083">
    <sch:p class="ruleText">
        [IRM-ID-00083][Error]
        If an IRM TrustedDataObject structured statement exists, it must have a DDMS assertion. 
        
        Human Readable: If an IRM Trusted Data Object structured statement exists, it must have a DDMS assertion.  
    </sch:p>
    
    <sch:p class="codeDesc">
        If a TDO has an IRM structured statement, then verify that it has a DDMS assertion.
    </sch:p>
    
    <sch:rule context="tdf:TrustedDataObject/tdf:Assertion/tdf:StructuredStatement/*[namespace-uri()='urn:us:gov:ic:irm' and local-name()='ICResourceMetadataPackage']">
        <sch:assert test="ancestor::tdf:TrustedDataObject/tdf:Assertion/tdf:StructuredStatement/*[namespace-uri()='urn:us:mil:ces:metadata:ddms:5' and local-name()='resource']"
                  flag="error">
            [IRM-ID-00083][Error]
            If a IRM tdf:TrustedDataObject structured statement exists, then it must have a DDMS assertion. 
            
            Human Readable: If a Trusted Data Object has an IRM structured statement, it must have a DDMS assertion. 
        </sch:assert>        
     </sch:rule>
</sch:pattern>
