<?xml version="1.0" encoding="UTF-8"?>
<sch:pattern xmlns:sch="http://purl.oclc.org/dsdl/schematron" id="IRM-ID-00093">
    <sch:p class="ruleText">
        [IRM-ID-00093][Error] If present, at least one ddms:countryCode in a ddms:geographicIdentifier must be a 
        GENC ED3 codespace: ^ge:GENC:3:(ed3|3-[1-9][0-9]*)$ 
    </sch:p>
    
    <sch:p class="codeDesc">
        If present, at least one ddms:countryCode in a ddms:geographicIdentifier must be a GENC ED3 codespace: ^ge:GENC:3:(ed3|3-[1-9][0-9]*)$
    </sch:p>
    
    <sch:rule context="tdf:*[tdf:Assertion//irm:ICResourceMetadataPackage]/tdf:Assertion/tdf:StructuredStatement/ddms:resource//ddms:geospatialCoverage">
        <sch:let name="hasCountryCodes" value="count(ddms:geographicIdentifier/ddms:countryCode) > 0" />
        <sch:assert test="not($hasCountryCodes) or (some $countryCode in ddms:geographicIdentifier/ddms:countryCode satisfies matches(normalize-space($countryCode/@ddms:codespace), '^ge:GENC:3:(ed3|3-[1-9][0-9]*)$'))" 
            flag="error">
            [IRM-ID-00093][Error] ddms:countryCode must be a GENC ED3 codespace: ^ge:GENC:3:(ed3|3-[1-9][0-9]*)$
        </sch:assert>
    </sch:rule>
</sch:pattern>