<?xml version="1.0" encoding="UTF-8"?>
<sch:pattern xmlns:sch="http://purl.oclc.org/dsdl/schematron" id="IRM-ID-00094">
    <sch:p class="ruleText">
        [IRM-ID-00094][Error] If countrycode codespace is GENC codespace, then value must be in the GENC countrycode cve.
    </sch:p>
    
    <sch:p class="codeDesc">
        If countrycode codespace is GENC codespace, then value must be in the GENC countrycode cve
    </sch:p>
    
    <sch:rule context="tdf:*[tdf:Assertion//irm:ICResourceMetadataPackage]/tdf:Assertion/tdf:StructuredStatement/ddms:resource//ddms:geospatialCoverage//ddms:countryCode">
        
        <sch:let name="isGENCCountryCode" value="matches(normalize-space(./@ddms:codespace), '^ge:GENC:3:(ed3|3-[1-9][0-9]*)$')" />
        <sch:assert test="not($isGENCCountryCode) or (some $token in $gencCountryCodeList satisfies $token = normalize-space(./@ddms:code))" flag="error">
            [IRM-ID-00094][Error] ddms:countryCode must be in GENC countrycode cve.
        </sch:assert>
    </sch:rule>
</sch:pattern>