<?xml version="1.0" encoding="UTF-8"?>
<sch:pattern xmlns:sch="http://purl.oclc.org/dsdl/schematron" id="IRM-ID-00098">
    <sch:p class="ruleText">
        [IRM-ID-00098][Error] Use of a GENC codespace requires the presence of the IC-GENC CESVersion attribute.
    </sch:p>
    
    <sch:p class="codeDesc">
        If a codespace attribute is specified that contains a GENC codespace, 
        then ensure that the IC-GENC CESVersion attribute is specified in the IRM assertion
        on the ICResourceMetadataPackage.
    </sch:p>
    
    <sch:rule context="tdf:*[tdf:Assertion//irm:ICResourceMetadataPackage]/tdf:Assertion/tdf:StructuredStatement/ddms:resource//*[starts-with(@ddms:codespace,'ge:GENC') or starts-with(@ddms:codespace,'as:GENC')]">
        <sch:assert test="ancestor-or-self::tdf:*/tdf:Assertion//irm:ICResourceMetadataPackage/@genc:CESVersion" flag="error">
            [IRM-ID-00098][Error] Use of a GENC codespace requires the presence of the IC-GENC CESVersion attribute.
        </sch:assert>
    </sch:rule>
</sch:pattern>