<?xml version="1.0" encoding="UTF-8"?>
<?ICEA pattern?>
<!-- Notices - Distribution Notice: 
           This document has been approved for Public Release and is available for use without restriction.
       -->
<sch:pattern xmlns:sch="http://purl.oclc.org/dsdl/schematron" id="IRM-ID-00099">
    <sch:p class="ruleText">
        [IRM-ID-00099][Error] The @genc:CESVersion is less than the minimum version 
        allowed: 201609. 
        
        Human Readable: The IC-GENC version imported by IRM must be greater than or equal to 2016-SEP. 
    </sch:p>
    <sch:p class="codeDesc">
        For all irm:ICResourceMetadataPackage elements that contain @genc:CESVersion, we 
        verify that the version is greater than or equal to the minimum allowed version: 201609.  
    </sch:p>
    <sch:rule context="irm:ICResourceMetadataPackage[@genc:CESVersion]">
        <sch:let name="version" value="number(if (contains(@genc:CESVersion,'-')) then substring-before(@genc:CESVersion,'-') else @genc:CESVersion)"/>
        <sch:assert test="$version &gt;= 201609" flag="error">
            [IRM-ID-00099][Error] The @genc:CESVersion is less than the minimum version 
            allowed: 201609. 
            
            Human Readable: The IC-GENC version imported by IRM must be greater than or equal to 2016-SEP. 
        </sch:assert>
    </sch:rule>
</sch:pattern>
